{
  description = "System Configuration Flake";

  
  outputs = inputs@{ 
    nixpkgs,
    home-manager,
    hyprland,
    eww,
    osu-nixos,
    ...
  } : {

    nixosConfigurations = {
      lappy = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        specialArgs = { inherit inputs; };
        modules = [

          ./configuration.nix
	  ./hosts/lappy/default.nix

          home-manager.nixosModules.home-manager
	  {
             home-manager.extraSpecialArgs = {inherit inputs;};
	     home-manager.useGlobalPkgs = true;
             home-manager.useUserPackages = true;
             home-manager.users.stitchynyan = import ./users/stitchynyan/home.nix;
  	   }
        ];
      };
      gemini = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        specialArgs = { inherit inputs; };
        modules = [

          ./configuration.nix
	  ./hosts/gemini/default.nix

          home-manager.nixosModules.home-manager
	  {
             home-manager.extraSpecialArgs = {inherit inputs;};
	     home-manager.useGlobalPkgs = true;
             home-manager.useUserPackages = true;
             home-manager.users.nyadmin = import ./users/nyadmin/home.nix;
  	   }
        ];
      };
    };
  };

  inputs = {
    nixpkgs = {
      url = "github:NixOS/nixpkgs/nixos-unstable";
    };
    
    home-manager = {
      url = "github:nix-community/home-manager/master";
        inputs.nixpkgs.follows = "nixpkgs";
    };

    hyprland.url = "github:hyprwm/Hyprland";
    eww.url = "github:elkowar/eww";
    osu-nixos.url = "github:Asqiir/osu-nixos";
  };
}
